SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0003245: Upgrade 2.4 ->2.4.1 results in Kernel Panic - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003245Endian FirewallInstallationpublic2010-11-03 20:382010-11-15 13:23
Reporterbaldy 
Assigned Tolorenzo-endian 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.4 
Target VersionFixed in Version2.4.1 
Summary0003245: Upgrade 2.4 ->2.4.1 results in Kernel Panic
DescriptionUpgraded my system to 2.4.1. via efw-upgrade which completed without errors.

Due to kernel upgrade reboot was needed and the system does not boot anymore, just starts loading and stops with Kernel Panic (see attached image).

Reinstalling with 2.4 and upgrading again results in Kernel Panic.
Additional InformationTested memory, 100% ok. HDD tested OK.

System is running on the following hardware.

Asus P5VD2-MX, Intel Pentium D2.8, 4 x 512MB Kingston DDR400, WD 160GB Sata RE HDD.
TagsNo tags attached.
Attached Filesjpg file icon 2.4.1.Kernel Panic.jpg [^] (690,714 bytes) 2010-11-03 20:38
jpg file icon Kernel Panic detailed.jpg [^] (751,061 bytes) 2010-11-04 17:53

- Relationships

-  Notes
(0004998)
ra-endian (administrator)
2010-11-04 09:41

Hi Baldy,

Could you please create another screen shot of the kernel output after removing "quiet" from the grub configuration?

And could you please switch during the installation to the console and post the output from that commands:
kudzu -c HD -p
lspci

Thanks
(0005001)
baldy (reporter)
2010-11-04 10:15

root@mail:~ # lspci
00:00.0 Host bridge: Intel Corporation 82915G/P/GV/GL/PL/910GL Memory Controller
 Hub (rev 0e)
00:02.0 VGA compatible controller: Intel Corporation 82915G/GV/910GL Integrated
Graphics Controller (rev 0e)
00:1c.0 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Ex
press Port 1 (rev 05)
00:1c.1 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Ex
press Port 2 (rev 05)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) US
B UHCI 0000001 (rev 05)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) US
B UHCI 0000002 (rev 05)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) US
B UHCI 0000003 (rev 05)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) US
B UHCI 0000004 (rev 05)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) US
B2 EHCI Controller (rev 05)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev d5)
00:1f.0 ISA bridge: Intel Corporation 82801FB/FR (ICH6/ICH6R) LPC Interface Brid
ge (rev 05)
00:1f.2 IDE interface: Intel Corporation 82801FB/FW (ICH6/ICH6W) SATA Controller
 (rev 05)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Contr
oller (rev 05)
01:04.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A IEEE-1394a-2000 Cont
roller (PHY/Link)
01:08.0 Ethernet controller: Intel Corporation 82562ET/EZ/GT/GZ - PRO/100 VE (LO
M) Ethernet Controller (rev 05)
02:00.0 Ethernet controller: Intel Corporation 82572EI Gigabit Ethernet Controll
er (Copper) (rev 06)
(0005002)
baldy (reporter)
2010-11-04 10:17

root@mail:~ # kudzu -c HD -p
-
class: HD
bus: IDE
detached: 0
device: hdc
desc: "WDC WD1600YS-01SHB1"
physical: 16383/16/63
logical: 20023/255/63

Will try the Quiet option tonight
(0005003)
baldy (reporter)
2010-11-04 10:24

Btw, mentioned the wrong motherboard. Should be Asus P5GD1-VM/L.
(0005005)
ra-endian (administrator)
2010-11-04 17:02

Could you please try to replace your kernel with this one:

rpm -ivh http://public.endian.com/ra/kernel-v2/kernel-2.6.32.24-57.e38.i586.rpm [^] --force
(0005007)
baldy (reporter)
2010-11-04 17:46

Hi Ra,

Did not work, same problem.

One thing I did notice was that the grub.conf entry is different from the old one.

Kernel and initrd do no longer have /boot in their paths.


root@mail:/boot/grub # cat grub.conf
fallback 1
timeout 3
foreground = 16064e
background = ffffff
serial --unit=0 --speed=38400 --word=8 --parity=no --stop=1
terminal --timeout=2 serial console

title Endian Firewall Community release 2.4.1 (2.6.32.24-57.e38.i586)
    root (hd0,0)
    kernel /vmlinuz-2.6.32.24-57.e38.i586 root=UUID=f033a116-7682-4e19-b9ea-4b9d3a3dcbee panic=10 ro
    initrd /initrd-2.6.32.24-57.e38.i586.img
    savedefault
title EFW (2.6.27.19-72.e25)
    root (hd0,0)
    kernel /boot/vmlinuz-2.6.27.19-72.e25 root=UUID=f033a116-7682-4e19-b9ea-4b9d3a3dcbee panic=10 ro
    initrd /boot/initrd-2.6.27.19-72.e25.img
    savedefault
(0005014)
lorenzo-endian (manager)
2010-11-05 09:54

Hi Baldy,

could you please provide us the pictures of the problem after removing the "quite" option from the boot?

could I ask to you if you can even take some pictures after inserting "verbose" in place of "quite" in the /boot/grub/grub.conf file?

Thanks in advance

L.
(0005015)
baldy (reporter)
2010-11-05 10:39

Picture without quiet was already added (Kernel Panic Detailed).

Will try verbose tonight as the system is in use during the day.

Is there an option to pause screen output during boot ?
(0005018)
lorenzo-endian (manager)
2010-11-05 14:55

Keeping the "Stamp" key pressed during the boot procedure should do the trick.

Thanks

L.
(0005023)
baldy (reporter)
2010-11-05 18:24
edited on: 2010-11-05 18:52

verbose option does not give any additional information during boot.

I was unable to pause the output, but did make a movie of the boot process.

All text I can see is the following:

Mounting sysfs
Creating device files
Mounting tmpfs on /dev
Creating root device
mkrootdev: UUID b15a8a69-7455-46d0-8474-1f09cc47f4c5 not found
Mounting root filesystem /dev/root with flags noatime
mount: error 2 mounting ext3 flags noatime
well, retrying without the option flags
mount: error 2 mounting ext3
well, retrying read-only without any flag
mount: error 2 mounting ext3
Switching to new root
ERROR opening /dev/console!!!!!:2
unmounting old /proc
unmounting old /sys
switchroot: mount failed: 22
Initrd finished
[ 1.313859] Kernel panic - not syncing: Attemted to kill init!
[ 1.313929] Pid: 1, comm: init Not tainted 2.6.32.24-57.e38.i586 0000001
[ 1.313997] Call Trace:
[ 1.314222] [<c042b60b>] ? panic+0x3e/0xe5
[ 1.314291] [<c042de97>] ? do_exit+0x5a/0x54c
[ 1.314357] [<c042e429>] ? complete_and_exit+0x0/0x13
[ 1.314425] [<c0402f7c>] ? sysenter_do_call+0x12/0x28
[ 1.314490] Rebooting in 10 seconds..

(0005024)
lorenzo-endian (manager)
2010-11-05 18:37

Good job! Could you upload it? Or give us a link to download it?

Thanks a lot

L.
(0005025)
baldy (reporter)
2010-11-05 19:39

Boot movie can be downloaded from ftp://ftp.baldy.nl/BootKernelPanic.mp4 [^]
(0005026)
baldy (reporter)
2010-11-05 20:23

Searching the net it appears it is an issue with initrd not using the correct UUID

After rebuilding the 2.4.0 system grub.conf contains a different UUID than the upgraded 2.4.1.

Can this be the cause of the problem ?

2.4.0 grub.conf

timeout 3
foreground = 16064e
background = ffffff
serial --unit=0 --speed=38400 --word=8 --parity=no --stop=1
terminal --timeout=2 serial console

title EFW (2.6.27.19-72.e25)
    root (hd0,0)
    kernel /boot/vmlinuz-2.6.27.19-72.e25 root=UUID=6ed54d8d-5b25-47ae-a5e2-2d40e8e206ff panic=10 quiet ro
    initrd /boot/initrd-2.6.27.19-72.e25.img
    savedefault
(0005027)
leso (reporter)
2010-11-05 20:28

It's not possible to keep the current and the new version of kernel during the migration?
(0005028)
Ingwiz (reporter)
2010-11-06 11:07

The same problem.
HW: IBM System x3250 M2, LSI Logic RAID 1 2xSATA 250Gb
Video: http://ingvi.pisem.net/endian/ [^]
(0005030)
baldy (reporter)
2010-11-06 18:10

Hi Ingwiz,

Your issue is probably the same as http://bugs.endian.com/view.php?id=3259 [^]

Changed the UUID for testing purpose, but did not work.
(0005099)
lorenzo-endian (manager)
2010-11-12 15:54

Hello everybody,

the ISO of the version 2.4.1 has been released.

The problem which causes this problem has been fixed.

You will find it on Sourgeforce.net.

Thanks a lot

Lo
(0005119)
lorenzo-endian (manager)
2010-11-15 13:23

Hello everybody,

as said, the new ISO solves these problem, so I close the ticket now.

Thanks to all for the support!

Lo

- Issue History
Date Modified Username Field Change
2010-11-03 20:38 baldy New Issue
2010-11-03 20:38 baldy File Added: 2.4.1.Kernel Panic.jpg
2010-11-04 09:41 ra-endian Note Added: 0004998
2010-11-04 09:41 ra-endian Assigned To => ra-endian
2010-11-04 09:41 ra-endian Status new => acknowledged
2010-11-04 10:15 baldy Note Added: 0005001
2010-11-04 10:17 baldy Note Added: 0005002
2010-11-04 10:24 baldy Note Added: 0005003
2010-11-04 17:02 ra-endian Note Added: 0005005
2010-11-04 17:02 ra-endian Status acknowledged => feedback
2010-11-04 17:46 baldy Note Added: 0005007
2010-11-04 17:53 baldy File Added: Kernel Panic detailed.jpg
2010-11-05 09:54 lorenzo-endian Note Added: 0005014
2010-11-05 10:39 baldy Note Added: 0005015
2010-11-05 12:16 ra-endian Status feedback => new
2010-11-05 12:16 ra-endian Assigned To ra-endian => lorenzo-endian
2010-11-05 12:17 ra-endian Status new => acknowledged
2010-11-05 14:55 lorenzo-endian Note Added: 0005018
2010-11-05 18:24 baldy Note Added: 0005023
2010-11-05 18:37 lorenzo-endian Note Added: 0005024
2010-11-05 18:52 baldy Note Edited: 0005023
2010-11-05 19:39 baldy Note Added: 0005025
2010-11-05 20:23 baldy Note Added: 0005026
2010-11-05 20:28 leso Note Added: 0005027
2010-11-06 11:07 Ingwiz Note Added: 0005028
2010-11-06 18:10 baldy Note Added: 0005030
2010-11-12 15:54 lorenzo-endian Note Added: 0005099
2010-11-12 15:54 lorenzo-endian Status acknowledged => feedback
2010-11-15 13:23 lorenzo-endian Note Added: 0005119
2010-11-15 13:23 lorenzo-endian Status feedback => closed
2010-11-15 13:23 lorenzo-endian Resolution open => fixed
2010-11-15 13:23 lorenzo-endian Fixed in Version => 2.4.1

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker